# $Revision: 1.8 $, $Date: 2012/01/25 09:52:22 $
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	EncWords
Summary:	MIME::EncWords - deal with RFC 2047 encoded words (improved)
Name:		perl-MIME-EncWords
Version:	1.012.4
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d5df9098b315d92d43c025dd7aef939e
URL:		http://search.cpan.org/dist/MIME-EncWords/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Encode >= 1:1.98
BuildRequires:	perl-MIME-Base64 >= 2.13
BuildRequires:	perl-MIME-Charset >= 1.006
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Deal with RFC 2047 encoded words (improved).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just pod doc in %lang(ja)
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/EncWords/JA_JP.pod
# err, configuration place is not there
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/EncWords/Defaults.pm.sample

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/MIME/EncWords.pm
%dir %{perl_vendorlib}/Encode/MIME
%{perl_vendorlib}/Encode/MIME/EncWords.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-EncWords.spec,v $
Revision 1.8  2012/01/25 09:52:22  zbyniu
- missing dir; rel 2

Revision 1.7  2012/01/13 13:02:16  zbyniu
- up to 1.012.4

Revision 1.6  2009/08/26 10:02:36  amateja
- updated to 1.011.1

Revision 1.5  2009/06/10 14:07:01  amateja
- updated to 1.010.101

Revision 1.4  2008/10/14 21:16:41  glen
- previous commit was unwanted; now really spec finished (but tests give garbage); rel 1

Revision 1.3  2008/10/14 20:12:39  glen
- finish spec with help of pldcpan

Revision 1.2  2008/09/29 11:44:17  pawelz
- added missing dir
- pointed by Pawel Muszynski <pmuch at zamek dot szczecin dot pl>

Revision 1.1  2008/07/26 09:09:40  luzik
- initial release
- ugly spec but work :)
